Index: build.win32x86/common/Makefile
===================================================================
--- build.win32x86/common/Makefile	(révision 3706)
+++ build.win32x86/common/Makefile	(copie de travail)
@@ -111,7 +111,6 @@
 #############################################################################
 # C compiler settings (gcc-3.4.4 cygwin 19.24)
 #
-CC:=gcc
 
 # VM config flags.
 ifeq ($(CONFIGURATION),product)
@@ -140,8 +139,8 @@
 INCLUDEPATH:= -isystem/usr/include/mingw -I/usr/include/w32api
 # define _MT to eliminate the inline versions of printf et al in mingw/stdio.h
 NOBUILTIN:= -D_MT -fno-builtin-printf -fno-builtin-putchar -fno-builtin-fprintf
-CFLAGS:= $(INCLUDEPATH) -msse2 -ggdb2 -mwindows -mthreads -mno-cygwin -mwin32 \
-	-mno-rtd -mms-bitfields -mno-accumulate-outgoing-args $(OFLAGS) $(NOBUILTIN)
+CFLAGS:= $(INCLUDEPATH) -msse2 -ggdb2 -mwindows -mthreads -m32 \
+	-mno-rtd -mms-bitfields $(OFLAGS) $(NOBUILTIN)
 TZ:=$(shell date +%Z)
 DEFS:=	$(COGDEFS) $(WINVER) -DWIN32 -DWIN32_FILE_SUPPORT -DNO_ISNAN \
 		-DNO_SERVICE -DNO_STD_FILE_SUPPORT -D'TZ="$(TZ)"' \
@@ -156,16 +155,20 @@
 #       The switch '-mwindows' gives us a GUI app instead of a console app.
 #		Newer cygwins want --export-all-symbols in place of --export-dynamic.
 #
-LD:=	 gcc
-EXPORT:=--export-dynamic
-#EXPORT:=--export-all-symbols
-BASELDFLAGS:=-mno-cygwin -mthreads -Wl,--large-address-aware,$(EXPORT) -L/usr/lib/mingw
+#EXPORT:=--export-dynamic
+EXPORT:=--export-all-symbols
+BASELDFLAGS:=-m32 -mthreads -Wl,--large-address-aware,$(EXPORT) -L/usr/lib/mingw
 LDFLAGS:= -mwindows $(BASELDFLAGS)
 CONSOLELDFLAGS:= -mconsole $(BASELDFLAGS)
-STDLIBS:= -lddraw -ldinput -lopengl32 -lwsock32 -lcomdlg32 -lole32 -lwinmm \
-	-lversion -lwininet -luser32 -lgdi32 -lpsapi -lkernel32 -lcrtdll \
+STDLIBS:= -lddraw -ldinput -lopengl32 -lws2_32 -lcomdlg32 -lole32 -lwinmm \
+	-lversion -lwininet -luser32 -lgdi32 -lpsapi -lkernel32 \
 	-ldsound -lsecur32
 
+
+# STDLIBS:= -lddraw -ldinput -lopengl32 -lwsock32 -lcomdlg32 -lole32 -lwinmm  \
+#	-lversion -lwininet -luser32 -lgdi32 -lpsapi -lkernel32 -lcrtdll \
+#	-ldsound -lsecur32
+
 #############################################################################
 # Tools to use
 #
@@ -184,7 +187,7 @@
 #
 RC:=	 windres
 SVNREV:= $(shell sed -e "s/^static.*SvnRawRevisionString.*Rev: \([0-9][0-9]*\).*/\\1/p" -e d $(PLATDIR)/Cross/vm/sqSCCSVersion.h)
-RCFLAGS:= --include-dir $(PLATDIR)/win32/misc -D_WIN32 -DFILEVERSIONVALUES=4,0,$(SVNREV),0 '-DFILEVERSIONSTRING=\"4.0.$(SVNREV)\\0\"'
+RCFLAGS:= --include-dir $(PLATDIR)/win32/misc -D_WIN32 -DFILEVERSIONVALUES=4,0,$(SVNREV),0 '-DFILEVERSIONSTRING=\"4.0.$(SVNREV)\\0\"' -F pe-i386
 
 .SUFFIXES:
 .SUFFIXES:	.ccg .cc .c .o .s .i .rc .res .cg .hg .ccg .cpp
@@ -263,10 +266,10 @@
 	@echo -----------------------------------------------------
 
 mingw32ver.exe: $(WIN32UTILDIR)/mingw32ver.c
-	$(CC) -o $@ -O1 -mconsole -mno-cygwin $<
+	$(CC) -o $@ -O1 -mconsole -m32 $<
 
 mkNamedPrims.exe: $(WIN32UTILDIR)/mkNamedPrims.c
-	$(CC) -o $@ -mconsole -mno-cygwin $<
+	$(CC) -o $@ -mconsole -m32 $<
 
 $(BTOBJ):	$(WIN32MISCDIR)/btext.c
 	$(CC) -c -o $@ -fomit-frame-pointer -O2 $<
@@ -279,15 +282,19 @@
 $(VMEXE): $(OBJDIR) $(VMOBJ) $(LIBS) $(VMEXP) resource.o $(BTOBJ) $(ETOBJ)
 	$(CC) -o $(OBJDIR)/version.o $(CFLAGS) $(INCLUDES) $(DEFS) -c $(WIN32DIR)/version.c
 	$(LD) $(LDFLAGS) -o $(VMEXE) \
-			$(BTOBJ) $(VMOBJ) $(VMEXP) $(OBJDIR)/resource.o $(LIBS) $(STDLIBS) $(ETOBJ)
+			$(BTOBJ) $(VMOBJ) $(OBJDIR)/resource.o $(LIBS) $(STDLIBS) $(ETOBJ)
 	nm --numeric-sort --defined-only -f bsd $(VMEXE) >$(VMMAP)
 
+#			$(BTOBJ) $(VMOBJ) $(VMEXP) $(OBJDIR)/resource.o $(LIBS) $(STDLIBS) $(ETOBJ)
+
 $(CONSOLEVMEXE): $(VMOBJ) $(LIBS) $(VMEXP) resource.o $(BTOBJ) $(ETOBJ)
 	$(CC) -o $(OBJDIR)/version.o $(CFLAGS) $(INCLUDES) $(DEFS) -c $(WIN32DIR)/version.c
 	$(LD) $(CONSOLELDFLAGS) -o $(CONSOLEVMEXE) \
-			$(BTOBJ) $(VMOBJ) $(VMEXP) $(OBJDIR)/resource.o $(LIBS) $(STDLIBS) $(ETOBJ)
+			$(BTOBJ) $(VMOBJ) $(OBJDIR)/resource.o $(LIBS) $(STDLIBS) $(ETOBJ)
 	nm --numeric-sort --defined-only -f bsd $(CONSOLEVMEXE) >$(CONSOLEVMMAP)
 
+#			$(BTOBJ) $(VMOBJ) $(VMEXP) $(OBJDIR)/resource.o $(LIBS) $(STDLIBS) $(ETOBJ)
+
 ifneq ($STRIPEXE,)
 $(STRIPEXE): $(VMEXE)
 	$(STRIP) --strip-unneeded -o $(STRIPEXE) $(VMEXE)
Index: build.win32x86/common/Makefile.plugin
===================================================================
--- build.win32x86/common/Makefile.plugin	(révision 3706)
+++ build.win32x86/common/Makefile.plugin	(copie de travail)
@@ -49,8 +49,8 @@
 # Set minimum version to WindowsXP (see /cygwin/usr/include//w32api/w32api.h)
 WINVER:=-D_WIN32_WINNT=0x0501 -DWINVER=0x0501
 INCLUDEPATH:= -isystem/usr/include/mingw -I/usr/include/w32api
-CFLAGS:= $(INCLUDEPATH) -msse2 -ggdb2 -mwindows -mdll -mno-cygwin -mwin32 \
-	-mno-rtd -mms-bitfields -mno-accumulate-outgoing-args $(OFLAGS)
+CFLAGS:= $(INCLUDEPATH) -msse2 -ggdb2 -mwindows -mdll -m32 \
+	-mno-rtd -mms-bitfields $(OFLAGS)
 DEFS:=	$(WINVER) -DWIN32 -DWIN32_FILE_SUPPORT -DNO_ISNAN \
 		-DNO_SERVICE -DNO_STD_FILE_SUPPORT \
 		$(NDEBUG) -DLSB_FIRST -DVM_NAME=\"$(VM)\" -DX86 $(XDEFS)
Index: build.win32x86/common/Makefile.rules
===================================================================
--- build.win32x86/common/Makefile.rules	(révision 3706)
+++ build.win32x86/common/Makefile.rules	(copie de travail)
@@ -9,10 +9,10 @@
 #       The switch '-mwindows' gives us a GUI app instead of a console app.
 #		Newer cygwins want --export-all-symbols in place of --export-dynamic.
 #
-CC := gcc
-CXX:= g++
-LD := gcc
-LDCXX := clang++ # For linking c++ bundles
+CC := i686-w64-mingw32-clang
+CXX:= i686-w64-mingw32-clang++
+LD := i686-w64-mingw32-clang
+LDCXX := i686-w64-mingw32-clang++ # For linking c++ bundles
 
 DEPFLAGS = -MT $@ -MMD -MP -MF deps/$(*F).Td
 ALLFLAGS = $(DEPFLAGS) $(CFLAGS) $(INCLUDES) $(DEFS)
Index: build.win32x86/squeak.cog.spur/plugins.ext
===================================================================
--- build.win32x86/squeak.cog.spur/plugins.ext	(révision 3706)
+++ build.win32x86/squeak.cog.spur/plugins.ext	(copie de travail)
@@ -2,8 +2,9 @@
 # N.B. SqueakSSL is not ready for prime time.  Compiles but does not link fully.
 # See platforms/win32/plugins/SqueakSSL/Makefile
 EXTERNAL_PLUGINS = \
-BochsIA32Plugin \
-BochsX64Plugin \
+#BochsIA32Plugin \
+#BochsX64Plugin \
+Mpeg3Plugin \
 SqueakFFIPrims \
 UUIDPlugin \
 Win32OSProcessPlugin
Index: build.win32x86/squeak.cog.spur/plugins.int
===================================================================
--- build.win32x86/squeak.cog.spur/plugins.int	(révision 3706)
+++ build.win32x86/squeak.cog.spur/plugins.int	(copie de travail)
@@ -25,7 +25,6 @@
 Matrix2x3Plugin \
 MIDIPlugin \
 MiscPrimitivePlugin \
-Mpeg3Plugin \
 RePlugin \
 SecurityPlugin \
 SerialPlugin \